Bug 1197131 - CONFIG instead of CHROOT in help for -r option
Summary: CONFIG instead of CHROOT in help for -r option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-27 14:51 UTC by Mikhail Campos
Modified: 2015-06-20 21:13 UTC (History)
6 users (show)

Fixed In Version: mock-1.2.10-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-01 16:50:44 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
using CONFIG instead of CHROOT for --root option help/man (2.57 KB, application/mbox)
2015-02-27 14:51 UTC, Mikhail Campos
no flags Details

Description Mikhail Campos 2015-02-27 14:51:26 UTC
Created attachment 996081 [details]
using CONFIG instead of CHROOT for --root option help/man

Actially,this is not a bug. Just, it will be more user friendly to specify in help for mock: 
'-r CONFIG, --root=CONFIG' 

instead of 

'-r CHROOT, --root=CHROOT'.

Comment 1 Miroslav Suchý 2015-02-28 22:03:25 UTC
Hmm that is question. You build in chroot. Chroot, which is defined by config file. So is it chroot or config. I tend to say "chroot name", which we obviously abbreviate just to "chroot".

Comment 2 Mikhail Campos 2015-03-02 11:45:56 UTC
Pros:

1. This is good abbreviate for example 'epel-5-x86_64.cfg' but not for '01_23_2015a1.cfg'. Building package for chroot name '01_23_2015a1' or building package with config '01_23_2015a1'?
What if I have something like '--root /home/super/puper/builder/custom.cfg', is this consider to be 'CHROOT'? No. It seems to be PATH_TO_COFIG, or CONFIG.
2. Variances across the help. 
We have also option:
 '--configdir=CONFIGDIR' with description 'Change directory where config files are found'. 
Clearly and simply. No any confusion. No any '--configdir=CHROOTDIR'. This is using now in mock. Expecting the same for -r option.
3. Imagine, that patch of the distant past from RHBZ#452730 finally applied and made his developer really happy. And now we have '--root=CHROOT' and '--rootdir=DIRECTORY'. What's used for what? No way to easily understand until you read mindfully docs. This causes confusion.
4. The MOST important of pros. Simple usability test showed, that '-r CHROOT' cause confusion for new mock's users. Almost always for the first time usage they try to use -r option in a wrong way. For example, 'mock -r /path/to/chroot_build_dir xxx.src.rpm' or something like this.

Comment 3 Michael Simacek 2015-03-02 12:41:44 UTC
Note that when using --uniqueext you can have multiple chroots per config. I agree with Mikhail that CONFIG is more descriptive.

Comment 4 Miroslav Suchý 2015-04-22 11:48:41 UTC
Two vs. one. You won :)

Commited as:
* 89d7092 Use CONFIG instead of CHROOT in help/man for --root option [RHBZ#1197131]

Comment 5 Fedora Update System 2015-04-29 13:16:31 UTC
mock-1.2.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc22

Comment 6 Fedora Update System 2015-04-29 13:16:56 UTC
mock-1.2.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc21

Comment 7 Fedora Update System 2015-04-29 13:18:10 UTC
mock-1.2.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc20

Comment 8 Fedora Update System 2015-04-29 13:18:58 UTC
mock-1.2.8-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el7

Comment 9 Fedora Update System 2015-04-29 13:25:23 UTC
mock-1.2.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el6

Comment 10 Fedora Update System 2015-04-29 19:18:40 UTC
Package mock-1.2.8-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.2.8-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6057/mock-1.2.8-1.el7
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-05-01 16:50:44 UTC
mock-1.2.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-05-02 18:08:22 UTC
mock-1.2.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-05-12 20:47:18 UTC
mock-1.2.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-06-04 11:41:39 UTC
mock-1.2.10-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el7

Comment 15 Fedora Update System 2015-06-04 11:42:43 UTC
mock-1.2.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el6

Comment 16 Fedora Update System 2015-06-20 21:10:18 UTC
mock-1.2.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-06-20 21:13:04 UTC
mock-1.2.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.